Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp.ui
Class UpDownSelectTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.views.jsp.ui.AbstractListTag
                              org.apache.struts2.views.jsp.ui.AbstractRequiredListTag
                                  org.apache.struts2.views.jsp.ui.SelectTag
                                      org.apache.struts2.views.jsp.ui.UpDownSelectTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.DynamicAttributes, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class UpDownSelectTag

extends SelectTag

See Also:
  `UpDownSelect`, Serialized Form

Field Summary
`protected String` | `allowMoveDown`
`protected String` | `allowMoveUp`
`protected String` | `allowSelectAll`
`protected String` | `moveDownLabel`
`protected String` | `moveUpLabel`
`protected String` | `selectAllLabel`

Fields inherited from class org.apache.struts2.views.jsp.ui.SelectTag
`emptyOption, headerKey, headerValue, multiple, size`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractListTag
`list, listCssClass, listCssStyle, listKey, listLabelKey, listTitle, listValue, listValueKey`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelposition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, requiredLabel, requiredPosition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UpDownSelectTag()`

Method Summary
`String` | `getAllowMoveDown()`
`String` | `getAllowMoveUp()`
`String` | `getAllowSelectAll()`
`Component` | `getBean(ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`String` | `getMoveDownLabel()`
`String` | `getMoveUpLabel()`
`String` | `getSelectAllLabel()`
`protected void` | `populateParams()`
`void` | `setAllowMoveDown(String allowMoveDown)`
`void` | `setAllowMoveUp(String allowMoveUp)`
`void` | `setAllowSelectAll(String allowSelectAll)`
`void` | `setMoveDownLabel(String moveDownLabel)`
`void` | `setMoveUpLabel(String moveUpLabel)`
`void` | `setSelectAllLabel(String selectAllLabel)`

Methods inherited from class org.apache.struts2.views.jsp.ui.SelectTag
`setEmptyOption, setHeaderKey, setHeaderValue, setMultiple, setSize`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractListTag
`setList, setListCssClass, setListCssStyle, setListKey, setListLabelKey, setListTitle, setListValue, setListValueKey`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setClass, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDisabled, setDynamicAttribute, setErrorPosition, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStyle, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`findString, findValue, findValue, getBody, getStack, toString`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### allowMoveUp

    protected String allowMoveUp

### allowMoveDown

    protected String allowMoveDown

### allowSelectAll

    protected String allowSelectAll

### moveUpLabel

    protected String moveUpLabel

### moveDownLabel

    protected String moveDownLabel

### selectAllLabel

    protected String selectAllLabel

Constructor Detail

### UpDownSelectTag

    public UpDownSelectTag()

Method Detail

### getBean

    public Component getBean(ValueStack stack,
                             javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)

  Overrides:
    `getBean` in class `SelectTag`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `SelectTag`

### getAllowMoveUp

    public String getAllowMoveUp()

### setAllowMoveUp

    public void setAllowMoveUp(String allowMoveUp)

### getAllowMoveDown

    public String getAllowMoveDown()

### setAllowMoveDown

    public void setAllowMoveDown(String allowMoveDown)

### getAllowSelectAll

    public String getAllowSelectAll()

### setAllowSelectAll

    public void setAllowSelectAll(String allowSelectAll)

### getMoveUpLabel

    public String getMoveUpLabel()

### setMoveUpLabel

    public void setMoveUpLabel(String moveUpLabel)

### getMoveDownLabel

    public String getMoveDownLabel()

### setMoveDownLabel

    public void setMoveDownLabel(String moveDownLabel)

### getSelectAllLabel

    public String getSelectAllLabel()

### setSelectAllLabel

    public void setSelectAllLabel(String selectAllLabel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.